import { type UmbConfigCollectionModel } from '../../../core/utils/index.js';
import { UmbLitElement } from '../../../core/lit-element/index.js';
import type { UmbPickerDataSource } from '../../../core/picker-data-source/index.js';
declare const UmbInputEntityDataElement_base: import("../../../../libs/extension-api/index.js").HTMLElementConstructor<import("../../../core/validation/index.js").UmbFormControlMixinElement<string | undefined>> & typeof UmbLitElement;
export declare class UmbInputEntityDataElement extends UmbInputEntityDataElement_base {
    #private;
    set dataSourceApi(api: UmbPickerDataSource | undefined);
    get dataSourceApi(): UmbPickerDataSource | undefined;
    set dataSourceConfig(config: UmbConfigCollectionModel | undefined);
    get dataSourceConfig(): UmbConfigCollectionModel | undefined;
    set pickerViews(value: Array<{
        alias: string;
    }> | undefined);
    get pickerViews(): Array<{
        alias: string;
    }> | undefined;
    /**
     * This is a minimum amount of selected items in this input.
     * @type {number}
     * @attr
     * @default
     */
    set min(value: number);
    get min(): number;
    /**
     * Min validation message.
     * @type {boolean}
     * @attr
     * @default
     */
    minMessage: string;
    /**
     * This is a maximum amount of selected items in this input.
     * @type {number}
     * @attr
     * @default
     */
    set max(value: number);
    get max(): number;
    /**
     * Max validation message.
     * @type {boolean}
     * @attr
     * @default
     */
    maxMessage: string;
    set selection(uniques: Array<string>);
    get selection(): Array<string>;
    set value(selectionString: string | undefined);
    get value(): string | undefined;
    /**
     * Sets the input to readonly mode, meaning value cannot be changed but still able to read and select its content.
     * @type {boolean}
     * @attr
     * @default
     */
    get readonly(): boolean;
    set readonly(value: boolean);
    private _items;
    private _statuses?;
    private _modalRoute?;
    constructor();
    protected getFormElement(): undefined;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-input-entity-data': UmbInputEntityDataElement;
    }
}
export {};
